<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="VCLib" 
Name="USER_COLUMNS" 
Description="Настройки колонок" 
version="2" 
UnrestrictedAccess="1" 
PrimaryKey="UserColsID" 
DNAttributes="{ColumnName}" 
DisplayName="{0}">
  <Fields>
    <Attribute Name="UserColsID" Index="20001" Type="guid" Description="Идентификатор" />
    <Attribute Name="AttributePath" Index="20002" Type="string" Description="Путь к атрибуту" CharacterMaximumLength="512" />
    <Attribute Name="ColumnName" Index="20003" Type="string" Description="Отображаемое имя колонки" />
    <Attribute Name="ColumnIndex" Index="20004" Type="int" Description="Индекс колонки в списке" Required="1" />
    <Attribute Name="ColumnWidth" Index="20005" Type="int" Description="Ширина колонки в списке" />
    <Attribute Name="Visible" Index="20006" Type="bool" Description="Показывать колонку" />
    <Attribute Name="SortingIndex" Index="20008" Type="int" Description="Позиция в сортировке" />
    <Parent Name="UserContextID" Index="20007" Type="VCLib.USER_CONTEXTS" Description="Контекст" Required="1" />
    <Choice Name="Sorting" Index="20009" Description="Сортировка" Required="1">
      <Item Name="Отсутствует" Index="0" />
      <Item Name="По возрастанию" Index="1" />
      <Item Name="По убыванию" Index="2" />
    </Choice>
    <Attribute Name="AggregationLexem" Type="text" Description="Лексема агрегированной информации" />
    <Attribute Name="AggregationFormat" Type="string" Description="Формат отображения агрегированной информации" />
    <Attribute Name="AggregationGrouping" Type="text" Description="Группировка для агрегированной функции" />
  </Fields>
  <DbMapping>
    <Table name="T_USER_COLUMNS">
      <Map Name="UserColsID" Column="UserColsID" />
      <Map Name="AttributePath" Column="AttributePath" />
      <Map Name="ColumnName" Column="DisplayName" />
      <Map Name="ColumnIndex" Column="ColumnIndex" />
      <Map Name="ColumnWidth" Column="ColumnWidth" />
      <Map Name="Visible" Column="Visible" />
      <Map Name="SortingIndex" Column="SortingIndex" />
      <Map Name="UserContextID" Column="UserContextID" />
      <Map Name="Sorting" Column="Sorting" />
      <Map Name="AggregationLexem" Column="AggregationLexem" />
      <Map Name="AggregationFormat" Column="AggregationFormat" />
      <Map Name="AggregationGrouping" Column="AggregationGrouping" />
    </Table>
  </DbMapping>
  <CalculatingAttributes>
    <Attribute Name="PathDescription" Index="20010" Type="string" Description="Описание пути к атрибуту" RequiredAttributes="{AttributePath};{UserContextID/EntityID}">
      <Parameter Name="AsLexem" Description="Лексема" Type="bool">
        <lx:ConstOperand xmlns:lx="lexem" type="Boolean">false</lx:ConstOperand>
      </Parameter>
    </Attribute>
  </CalculatingAttributes>
</Entity>